Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Tek-Tips community for having the most helpful posts in the forums last week. Way to Go!

ACAD2004 3D SPIRAL 1

Status
Not open for further replies.

roddy1

Industrial
Feb 2, 2005
4
0
0
GB
Hi

I need help to produce a solid object, i design conveyor
systems and create all my drawings in 3D on AutoCad REL 2004
but i am having problems creating a 3D Spiral. I have used
4DSPIRAL.LSP which is great to draw a 3D Polyline and then
extrude a circle along the path to create a spring, but this does not help me to create a spiral with depth. to explain what shape i require: image a flat plate rolled around a drum and pulled upwards to create a orange peel effect. Is there a easy way to produce this object.
Any help would be appreciated
 
Replies continue below

Recommended for you

I can't help you with your question, but you may be able to help me. I am trying to extrude a cirle along a 3D polyline. Can this be done? I am trying to model a cable hanging in catenary. I know a series of node points along the length of the cable (taken from Orcaflex - a catenary analysis package) and can put these 3D co-ordinates into AutoCAD. From this I can model a 3D polyline but can't manage to extrude a circle along this polyline. Is this possible?

Thanks if you know....
 
hi,
this .lsp will create a 3D spiral, or actually, a helix.

It creates a polyline which you can extrude along. The results, though, can be surprising. Watch the command prompt to operate.
hope this helps.

sundemon

(defun C:h3(/ c r p n nr ps pb pe Beta dBeta z dz vertex )
(setq c (getpoint "\n Center : "))
(setq r (getdist c "\n Radius : "))
(setq p (getdist "\n Pitch : "))
(setq n (getreal "\n No. of revolutions : "))
(setq nr (getint "\n No. of steps in each round : "))
(setq ps '((0 . "POLYLINE") (100 . "AcDbEntity") (67 . 0) (100 . "AcDb3dPolyline") (66 . 1) (10 0.0 0.0 0.0) (70 . 8) (40 . 0.0) (41 . 0.0) (210 0.0 0.0 1.0) (71 . 0) (72 . 0) (73 . 0) (74 . 0) (75 . 0)))
(setq pb '((0 . "VERTEX") (100 . "AcDbEntity") (67 . 0) (100 . "AcDbVertex") (100 . "AcDb3dPolylineVertex") (10 0.0 0.0 0.0) (40 . 0.0) (41 . 0.0) (42 . 0.0) (70 . 32) (50 . 0.0) (71 . 0) (72 . 0) (73 . 0) (74 . 0)))
(setq pe '((0 . "SEQEND")))
(entmake ps)
(setq z 0.0)
(setq dz (/ p nr))
(setq dBeta (/ (* 2 pi) nr))
(setq Beta 0.0)
(while (<= Beta (* n (* 2 pi)))
(setq vertex (list (+ (car c) (* r (cos Beta)))
(+ (cadr c) (* r (sin Beta)))
(+ (caddr c) z)
)
)
(setq pb (subst (append '(10) vertex) (assoc 10 pb) pb))
(entmake pb)
(setq z (+ z dz))
(setq Beta (+ Beta dBeta))
)
(entmake pe)
(princ)
)de" old))
 
Just a quick note on the extrude circle along a path question (also applies to any other pline extrusion, including helicals...) -
-Make sure the circle is normal to the 1st segment of the p-line.
-This works & works great. one caution in case it matters- the resulting solid is quite "heavy" in terms of 3d solids resources. Constructing the shape piece by piece is "lighter" but takes longer because of the extra effort (steps) required. This will only really matter if- 1. you are creating a model with MANY solids components, or if 2. your system isn't necessarily as powerful as you'd like, and "heavy" models slow it down appreciably.

This applies primarily to shapes along a path. i realize there's no practical alternative when doing helicals.
Just a little input, that's all.
The other responses are all excellent!
Good luck-
C.Fee
 
That works really well. Thanks Hendie & cfee!

One last question. Is there any way to quickly input my 3D polyline path, i.e. my series of node points, rather that using 3DPOLY and re-selecting every node point?
 
Status
Not open for further replies.
Back
Top